#
# spec file for package jed
#
# Copyright (c) 2025 SUSE LLC
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           jed
BuildRequires:  slang-devel
Requires:       slang-slsh
Version:        0.99.19+git177.55b1d75
Release:        1.3
URL:            http://www.jedsoft.org
License:        GPL-2.0-only
Summary:        Small editor
Source:         %{name}-%{version}.tar.bz2
Patch0:         0001-Fix-path-and-settings-for-Linux.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
JED text editor

%prep
%autosetup -p1

%build
slanginc=/usr/include
%configure --prefix=/usr --datadir=%{_datadir} --with-slanglib=%{_libdir} --with-slanginc=$slanginc
%make_build

%install
%make_install

%files
%{_bindir}/%{name}
%{_bindir}/%{name}-script
%dir %{_datadir}/jed
%{_datadir}/jed
%{_mandir}/man?/*

%changelog
* Tue Jan  7 2025 kkaempf@suse.de
- Update to version v0.99.19+git177.55b1d75:
  * pre0.99.20-186: The current point was being moved to the position of the mouse prior to the call to the mouse handlers.  This would sometimes incorrectly position the cursor for horizontally scrolled lines/windows.
  * pre0.99.20-185: Added support for visual wrapping to the mouse specific functions (affects xjed, etc)
  * pre0.99.20-184: Added visual wrapping of long lines.  This is distinct from wrapping where newline characters are added to force a line wrap. Visual wrapping is purely a visual effect.  See doc/txt/viswrap.txt for more information.
  * pre0.99.20-183: lib/dired.sl: The target of symbolic links were getting removed instead of the symbolic link itself
  * pre0.99.20-182: Added an option to display the timestamp in the recent file list menu item.  This can be turned off using the Recentx_Display_Timestamp variable
  * pre0.99.20-181: lib/slmode.sl: Added "abs" to the keyword list
  * pre0.99.20-179: Use insert_byte instead of insert_char when decoding quoted-printable
  * pre0.99.20-179: The regular expression \&, which matches the whole match, was not being handled properly
  * pre0.99.20-178: s2 used instead of s1 in mark_window_attributes
  * pre0.99.20-177: Updated copyright year
- get source from git://git.jedsoft.org/git/jed.git
- rename jed-0.99-19.dif to 0001-Fix-path-and-settings-for-Linux.patch
* Fri Jan  3 2025 Richard Rahl <rrahl0@opensuse.org>
- adapt spec file for newer Tumbleweed:
  * use autosetup
  * adapt license
  * use macros
* Wed Feb 22 2012 kkaempf@suse.com
- Require slang-slsh
* Tue Feb  9 2010 kkaempf@novell.com
- Update to 0.99-19
  Over 200 changes since 0.99-18
    see ftp://space.mit.edu/pub/davis/jed/v0.99/changes.txt
* Thu Aug 30 2007 kkaempf@suse.de
- Initial version 0.99-18
